Skip to main content
`Ctrl`+`K`

# SlepcHeaderCreate

Creates a SLEPc object

## Input Parameters

- classid - the classid associated with this object

- class_name - string name of class; should be static

- descr - string containing short description; should be static

- mansec - string indicating section in manual pages; should be static

- comm - the MPI Communicator

- destroy - the destroy routine for this object

- view - the view routine for this object

## Output Parameter

- h - the newly created object

## Note

This is equivalent to `PetscHeaderCreate()` but makes sure that `SlepcInitialize()` has been called.

## Level

developer

## Location

include/slepc/private/slepcimpl.h

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages